#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Socket6
%define		pnam	Socket6
Summary:	Socket6 Perl module - IPv6-related part of the C socket.h defines and structure manipulators
Summary(pl.UTF-8):	Moduł Perla Socket6 - definicje i operacje na strukturach socket.h związanych z IPv6
Name:		perl-Socket6
Version:	0.23
Release:	8
License:	BSD-like
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Socket6/%{pnam}-%{version}.tar.gz
# Source0-md5:	2c02adb13c449d48d232bb704ddbd492
Patch0:		pod-syntax.patch
URL:		http://search.cpan.org/dist/Socket6/
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Socket6 module provides glue routines to the various IPv6
functions.

%description -l pl.UTF-8
Moduł Socket6 udostępnia perlowy interfejs do różnych funkcji IPv6.

%prep
%setup -q -n %{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
pod2man --section=3pm Socket6.pm >Socket6.3pm

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man3

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install Socket6.3pm $RPM_BUILD_ROOT%{_mandir}/man3

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorarch}/Socket6.pm
%dir %{perl_vendorarch}/auto/Socket6
%attr(755,root,root) %{perl_vendorarch}/auto/Socket6/Socket6.so
%{_mandir}/man3/Socket6.3pm*
%changelog
* Thu Feb 12 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Socket6.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8ad3140
- release 8 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3edacef
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 596a2a0
- rebuild for perl 5.20
- release 7 (by relup.sh)

* Sun Jun 30 2013 Jakub Bogusz <qboosh@pld-linux.org> c02fb4a
- real summaries

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> 5b5003c
- fix pod syntax error
- rel 6

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 8585433
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> cf482d5
- rel 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> dce61ca
- release 3

* Sat Jun 05 2010 radek <radek@pld-linux.org> 3491139
- release 2

* Thu Oct 15 2009 amateja <amateja@pld-linux.org> 918e7e3
- updated to 0.23

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> 1203a20
- release 2

* Sun Mar 02 2008 radek <radek@pld-linux.org> 9a2a20b
- version 0.20

* Fri Feb 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 678cb5e
- rel 2

* Tue Mar 13 2007 Jakub Bogusz <qboosh@pld-linux.org> df54bf5
- generic URL, grepable files

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1babfef
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e80ec47
- converted to UTF-8

* Mon Feb 27 2006 Maciej Pijanka <agaran@pld-linux.org> f033136
- up to 0.19 rel 1

* Mon Jun 13 2005 petec <petec@pld-linux.org> 5ead017
- up to 0.18

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 6300954
- formatting

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> 1ad5ea7
- spaces->tabs
- formatting

